<?php
$default_options = array(
	// Slider Page
	'sliderDeepLink'                        => '0',
	'sliderHeightRetio'                     => '0.7',
	'sliderPreloaderColor'                  => 'ffffff',
	'sliderBgColor'                         => 'rgba(0,0,0,0.9)',
	'sliderHeaderFooterBgColor'             => 'rgba(0,0,0,0.4)',
	'sliderNavigationColor'                 => 'rgba(0,0,0,1)',
	'sliderNavigationIconColor'             => 'rgba(255,255,255,1)',
	'sliderItemDescriptionBlock'            => '1',
	'sliderItemTitleFontSize'               => '18',
	'sliderItemTitleTextColor'              => 'ffffff',
	'sliderItemDescriptionFontSize'         => '14',
	'sliderItemDescriptionTextColor'        => '969696',
	'sliderThumbBarEnable'                  => '1',
	'sliderThumbBarHoverColor'              => 'ffffff',
	'sliderThumbSubMenuBackgroundColor'     => 'rgba(0,0,0,1)',
	'sliderThumbSubMenuBackgroundColorOver' => 'rgba(255,255,255,1)',
	'sliderThumbSubMenuIconColor'           => 'rgba(255,255,255,1)',
	'sliderThumbSubMenuIconHoverColor'      => 'rgba(0,0,0,1)',
	'sliderPlayButton'                      => '1',
	'sliderZoomButton'                      => '1',
	'sliderFullScreen'                      => '1',
	'sliderInfoEnable'                      => '1',
	'sliderItemDownload'                    => '1',
	'sliderItemDiscuss'                     => '1',
	'sliderSocialShareEnabled'              => '1',
	'sliderLikesEnabled'                    => '1',
	// Slideshow
	'sliderSlideshowEneble'                 => '0',
	'slideshowDelay'                        => '8',
	'slideshowProgressBarColor'             => 'rgba(255,255,255,1)',
	'slideshowProgressBarBGColor'           => 'rgba(49,49,49,1)',
	//Modal Window
	'modaBgColor'                           => 'rgba(0,0,0,0.9)',
	'modalInfoBoxBgColor'                   => 'rgba(255,255,255,1)',
	'modalInfoBoxTitleTextColor'            => '000000',
	'shareTitlePlaceHolder'                 => 'Share',
	'modalInfoBoxTextColor'                 => '333333',
	'infoBarExifEnable'                     => '1',
	'infoBarCountersEnable'                 => '1',
	'infoBarDateInfoEnable'                 => '1',
	// Custom CSS //
	'customCSS'                             => '',
);
$options_tree    = array(
	array(
		'label'  => 'Common Settings',
		'fields' => array(
			'sliderDeepLink'                        => array(
				'label' => 'Use Deep Linking',
				'tag'   => 'checkbox',
				'attr'  => 'data-watch="change"',
				'text'  => '',
			),
			'sliderHeightRetio'                     => array(
				'label' => 'Slider Size ratio',
				'tag'   => 'input',
				'attr'  => 'type="number" min="0.1" max="2" step="0.1"',
				'text'  => 'Height / Width = Ratio (But 360px&#60;Height&#60;window.height)',
			),
			'sliderPreloaderColor'                  => array(
				'label' => 'Preloader Color',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="color"',
				'text'  => '',
			),
			'sliderBgColor'                         => array(
				'label' => 'Background color',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="rgba"',
				'text'  => '',
			),
			'sliderHeaderFooterBgColor'             => array(
				'label' => 'Header & Footer background color',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="rgba"',
				'text'  => '',
			),
			'sliderNavigationColor'                 => array(
				'label' => 'Navigation button color',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="rgba"',
				'text'  => '',
			),
			'sliderNavigationIconColor'             => array(
				'label' => 'Navigation button Icons color',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="rgba"',
				'text'  => '',
			),
			'sliderItemDescriptionBlock'            => array(
				'label' => 'Show Items Description',
				'tag'   => 'checkbox',
				'attr'  => 'data-watch="change"',
				'text'  => '',
			),
			'sliderItemTitleFontSize'               => array(
				'label' => 'Item Title - font Size',
				'tag'   => 'input',
				'attr'  => 'type="number" min="10" max="24" step="1" data-sliderItemDescriptionBlock="is:1"',
				'text'  => '',
			),
			'sliderItemTitleTextColor'              => array(
				'label' => 'Item Title text color',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="color" data-sliderItemDescriptionBlock="is:1"',
				'text'  => '',
			),
			'sliderItemDescriptionFontSize'         => array(
				'label' => 'Item Description - font Size',
				'tag'   => 'input',
				'attr'  => 'type="number" min="10" max="24" step="1" data-sliderItemDescriptionBlock="is:1"',
				'text'  => '',
			),
			'sliderItemDescriptionTextColor'        => array(
				'label' => 'Item Description text color',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="color" data-sliderItemDescriptionBlock="is:1"',
				'text'  => '',
			),
			'sliderThumbBarEnable'                  => array(
				'label' => 'Show Items Thumbnails',
				'tag'   => 'checkbox',
				'attr'  => 'data-watch="change"',
				'text'  => '',
			),
			'sliderThumbBarHoverColor'              => array(
				'label' => 'Thumbnails Border Color (select mode)',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="color" data-sliderThumbBarEnable="is:1"',
				'text'  => '',
			),
			'sliderThumbSubMenuBackgroundColor'     => array(
				'label' => 'Item Submenu Button color',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="rgba"',
				'text'  => '',
			),
			'sliderThumbSubMenuIconColor'           => array(
				'label' => 'Item Submenu Button Icon color',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="rgba"',
				'text'  => '',
			),
			'sliderThumbSubMenuBackgroundColorOver' => array(
				'label' => 'Item Submenu Button color (over)',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="rgba"',
				'text'  => '',
			),
			'sliderThumbSubMenuIconHoverColor'      => array(
				'label' => 'Item Submenu Button Icon color (over)',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="rgba"',
				'text'  => '',
			),
			'sliderPlayButton'                      => array(
				'label' => 'Slideshow Play Button Show',
				'tag'   => 'checkbox',
				'attr'  => 'data-watch="change"',
				'text'  => '',
			),
			'sliderZoomButton'                      => array(
				'label' => 'Zoom Button Show',
				'tag'   => 'checkbox',
				'attr'  => 'data-watch="change"',
				'text'  => '',
			),
			'sliderFullScreen'                      => array(
				'label' => 'FullScreen Button Show',
				'tag'   => 'checkbox',
				'attr'  => 'data-watch="change"',
				'text'  => '',
			),
			'sliderInfoEnable'                      => array(
				'label' => 'Item Info button',
				'tag'   => 'checkbox',
				'attr'  => 'data-watch="change"',
				'text'  => '',
			),
			'sliderItemDownload'                    => array(
				'label' => 'Item Download button',
				'tag'   => 'checkbox',
				'attr'  => 'data-watch="change"',
				'text'  => '',
			),
			'sliderItemDiscuss'                     => array(
				'label' => 'Item Discuss button',
				'tag'   => 'checkbox',
				'attr'  => 'data-watch="change"',
				'text'  => '',
			),
			'sliderSocialShareEnabled'              => array(
				'label' => 'Item Share button',
				'tag'   => 'checkbox',
				'attr'  => 'data-watch="change"',
				'text'  => '',
			),
			'sliderLikesEnabled'                    => array(
				'label' => 'Item Like button',
				'tag'   => 'checkbox',
				'attr'  => 'data-watch="change"',
				'text'  => '',
			),
		),
	),
	array(
		'label'  => 'Slideshow Settings',
		'fields' => array(
			'sliderSlideshowEneble'       => array(
				'label' => 'Autoplay On Load',
				'tag'   => 'checkbox',
				'attr'  => 'data-watch="change"',
				'text'  => 'Start slideshow automatically on gallery load and if the gallery on the first slide',
			),
			'slideshowDelay'              => array(
				'label' => 'Slideshow Delay',
				'tag'   => 'input',
				'attr'  => 'type="number" min="1" ',
				'text'  => 'Delay between change slides in seconds',
			),
			'slideshowProgressBarColor'   => array(
				'label' => 'Slideshow progress bar color',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="rgba" ',
				'text'  => '',
			),
			'slideshowProgressBarBGColor' => array(
				'label' => 'Slideshow progress bar Background color',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="rgba" ',
				'text'  => '',
			),
		),
	),
	array(
		'label'  => 'Modal Window Settings (Item Info & Share)',
		'fields' => array(
			'modaBgColor'                => array(
				'label' => 'Overlap Color',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="rgba"',
				'text'  => '',
			),
			'modalInfoBoxBgColor'        => array(
				'label' => 'Info Bar Color',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="rgba"',
				'text'  => '',
			),
			'modalInfoBoxTitleTextColor' => array(
				'label' => 'Info Bar Title text Color',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="color"',
				'text'  => '',
			),
			'shareTitlePlaceHolder'      => array(
				'label' => 'Share bar name',
				'tag'   => 'input',
				'attr'  => '',
				'text'  => '',
			),
			'modalInfoBoxTextColor'      => array(
				'label' => 'Info Bar Text Color',
				'tag'   => 'input',
				'attr'  => 'type="text" data-type="color"',
				'text'  => '',
			),
			'infoBarExifEnable'          => array(
				'label' => 'Show Exif Data',
				'tag'   => 'checkbox',
				'attr'  => 'data-watch="change"',
				'text'  => '',
			),
			'infoBarCountersEnable'      => array(
				'label' => 'Show View/Likes/Comments',
				'tag'   => 'checkbox',
				'attr'  => 'data-watch="change"',
				'text'  => '',
			),
			'infoBarDateInfoEnable'      => array(
				'label' => 'Show item date',
				'tag'   => 'checkbox',
				'attr'  => 'data-watch="change"',
				'text'  => '',
			),
		),
	),
	array(
		'label'  => 'Advanced Settings',
		'fields' => array(
			'customCSS' => array(
				'label' => 'Custom CSS',
				'tag'   => 'textarea',
				'attr'  => 'cols="20" rows="10"',
				'text'  => 'You can enter custom style rules into this box if you\'d like. IE: <i>a{color: red !important;}</i>
                                                                      <br />This is an advanced option! This is not recommended for users not fluent in CSS... but if you do know CSS, 
                                                                      anything you add here will override the default styles',
			)
			/*,
			'loveLink' => array(
				'label' => 'Display LoveLink?',
				'tag' => 'checkbox',
				'attr' => '',
				'text' => 'Selecting "Yes" will show the lovelink icon (codeasily.com) somewhere on the gallery'
			)*/
		),
	),
);
